'use strict';

define(function (require, exports, module) {

    /**
     * Register service
     * @ngInject
     * @constructor
     */
    function CountriesService($filter) {

        return {

            getCountries: function () {
                return [
                    {'isoCode': 'af', 'name': 'Afghanistan', 'countryCode': '+93'},
                    {'isoCode': 'al', 'name': 'Albanië', 'countryCode': '+355'},
                    {'isoCode': 'dz', 'name': 'Algerije', 'countryCode': '+213'},
                    {'isoCode': 'as', 'name': 'Amerikaans-Samoa', 'countryCode': '+1684'},
                    {'isoCode': 'vg', 'name': 'Amerikaanse Maagdeneilanden', 'countryCode': '+1284'},
                    {'isoCode': 'ad', 'name': 'Andorra', 'countryCode': '+376'},
                    {'isoCode': 'ao', 'name': 'Angola', 'countryCode': '+244'},
                    {'isoCode': 'ai', 'name': 'Anguilla', 'countryCode': '+1264'},
                    {'isoCode': 'aq', 'name': 'Antartica', 'countryCode': '+672'},
                    {'isoCode': 'ar', 'name': 'Argentinië', 'countryCode': '+54'},
                    {'isoCode': 'am', 'name': 'Armenië', 'countryCode': '+374'},
                    {'isoCode': 'aw', 'name': 'Aruba', 'countryCode': '+297'},
                    {'isoCode': 'au', 'name': 'Australië', 'countryCode': '+61'},
                    {'isoCode': 'ag', 'name': 'Antigua en Barbuda', 'countryCode': '+1268'},
                    {'isoCode': 'az', 'name': 'Azerbeidzjan', 'countryCode': '+994'},
                    {'isoCode': 'bs', 'name': 'Bahama\'s', 'countryCode': '+1242'},
                    {'isoCode': 'bd', 'name': 'Bangladesh', 'countryCode': '+880'},
                    {'isoCode': 'bb', 'name': 'Barbados', 'countryCode': '+1246'},
                    {'isoCode': 'be', 'name': 'België', 'countryCode': '+32', 'EU': true},
                    {'isoCode': 'bz', 'name': 'Belize', 'countryCode': '+501'},
                    {'isoCode': 'bj', 'name': 'Benin', 'countryCode': '+229'},
                    {'isoCode': 'bm', 'name': 'Bermuda', 'countryCode': '+1441'},
                    {'isoCode': 'bo', 'name': 'Bolivië', 'countryCode': '+591'},
                    {'isoCode': 'bt', 'name': 'Bhutan', 'countryCode': '+975'},
                    {'isoCode': 'ba', 'name': 'Bosnië en Herzegovina', 'countryCode': '+387'},
                    {'isoCode': 'bw', 'name': 'Botswana', 'countryCode': '+267'},
                    {'isoCode': 'bv', 'name': 'Bouvet Island', 'countryCode': '+47'},
                    {'isoCode': 'br', 'name': 'Brazilië', 'countryCode': '+55'},
                    {'isoCode': 'io', 'name': 'British Indian Ocean Territory', 'countryCode': '+246'},
                    {'isoCode': 'bn', 'name': 'Brunei', 'countryCode': '+673'},
                    {'isoCode': 'bg', 'name': 'Bulgarije', 'countryCode': '+359', 'EU': true},
                    {'isoCode': 'bf', 'name': 'Burkina Faso', 'countryCode': '+226'},
                    {'isoCode': 'bi', 'name': 'Burundi', 'countryCode': '+257'},
                    {'isoCode': 'kh', 'name': 'Cambodja', 'countryCode': '+855'},
                    {'isoCode': 'ca', 'name': 'Canada', 'countryCode': '+1'},
                    {'isoCode': 'ky', 'name': 'Cayman Islands', 'countryCode': '+1345'},
                    {'isoCode': 'cl', 'name': 'Chili', 'countryCode': '+56'},
                    {'isoCode': 'cn', 'name': 'China', 'countryCode': '+86'},
                    {'isoCode': 'cx', 'name': 'Christmas Island', 'countryCode': '+61'},
                    {'isoCode': 'cc', 'name': 'Cocos (Keeling) Islands', 'countryCode': '+61'},
                    {'isoCode': 'co', 'name': 'Colombia', 'countryCode': '+57'},
                    {'isoCode': 'km', 'name': 'Comoren', 'countryCode': '+269'},
                    {'isoCode': 'cd', 'name': 'Congo, The Democratic Republic Of The', 'countryCode': '+243'},
                    {'isoCode': 'ck', 'name': 'Cook Islands', 'countryCode': '+682'},
                    {'isoCode': 'cr', 'name': 'Costa Rica', 'countryCode': '+506'},
                    {'isoCode': 'cu', 'name': 'Cuba', 'countryCode': '+53'},
                    {'isoCode': 'cy', 'name': 'Cyprus', 'countryCode': '+357', 'EU': true},
                    {'isoCode': 'dk', 'name': 'Denemarken', 'countryCode': '+45', 'EU': true},
                    {'isoCode': 'dj', 'name': 'Djibouti', 'countryCode': '+253'},
                    {'isoCode': 'dm', 'name': 'Dominica', 'countryCode': '+1767'},
                    {'isoCode': 'do', 'name': 'Dominicaanse Republiek', 'countryCode': '+1809'},
                    {'isoCode': 'de', 'name': 'Duitsland', 'countryCode': '+49', 'EU': true},
                    {'isoCode': 'eg', 'name': 'Egypte', 'countryCode': '+20'},
                    {'isoCode': 'sv', 'name': 'El Salvador', 'countryCode': '+503'},
                    {'isoCode': 'ec', 'name': 'Equador', 'countryCode': '+593'},
                    {'isoCode': 'gq', 'name': 'Equatoriaal-Guinea', 'countryCode': '+240'},
                    {'isoCode': 'er', 'name': 'Eritrea', 'countryCode': '+291'},
                    {'isoCode': 'ee', 'name': 'Estland', 'countryCode': '+372', 'EU': true},
                    {'isoCode': 'et', 'name': 'Ethiopië', 'countryCode': '+251'},
                    {'isoCode': 'fo', 'name': 'Faeröer', 'countryCode': '+298'},
                    {'isoCode': 'fk', 'name': 'Falklandeilanden', 'countryCode': '+500'},
                    {'isoCode': 'fj', 'name': 'Fiji', 'countryCode': '+679'},
                    {'isoCode': 'ph', 'name': 'Filipijnen', 'countryCode': '+63'},
                    {'isoCode': 'fi', 'name': 'Finland', 'countryCode': '+358', 'EU': true},
                    {'isoCode': 'fr', 'name': 'Frankrijk', 'countryCode': '+33', 'EU': true},
                    {'isoCode': 'gf', 'name': 'Frans-Guyana', 'countryCode': '+594'},
                    {'isoCode': 'pf', 'name': 'Frans-Polynesië', 'countryCode': '+689'},
                    {'isoCode': 'tf', 'name': 'French Southern and Antarctic Territories', 'countryCode': '+262'},
                    {'isoCode': 'ga', 'name': 'Gabon', 'countryCode': '+241'},
                    {'isoCode': 'gm', 'name': 'Gambia', 'countryCode': '+220'},
                    {'isoCode': 'ge', 'name': 'Georgië', 'countryCode': '+995'},
                    {'isoCode': 'gh', 'name': 'Ghana', 'countryCode': '+233'},
                    {'isoCode': 'gi', 'name': 'Gibraltar', 'countryCode': '+350'},
                    {'isoCode': 'gd', 'name': 'Grenada', 'countryCode': '+1473'},
                    {'isoCode': 'gr', 'name': 'Griekenland', 'countryCode': '+30', 'EU': true},
                    {'isoCode': 'gl', 'name': 'Groenland', 'countryCode': '+299'},
                    {'isoCode': 'gp', 'name': 'Guadeloupe', 'countryCode': '+590'},
                    {'isoCode': 'gu', 'name': 'Guam', 'countryCode': '+1671'},
                    {'isoCode': 'gt', 'name': 'Guatemala', 'countryCode': '+502'},
                    {'isoCode': 'gn', 'name': 'Guinee', 'countryCode': '+224'},
                    {'isoCode': 'gw', 'name': 'Guinee-Bissau', 'countryCode': '+245'},
                    {'isoCode': 'gy', 'name': 'Guyana', 'countryCode': '+592'},
                    {'isoCode': 'ht', 'name': 'Haïti', 'countryCode': '+509'},
                    {'isoCode': 'hm', 'name': 'Heard Island and Mcdonald Islands', 'countryCode': '+672'},
                    {'isoCode': 'va', 'name': 'Heilige Stoel', 'countryCode': '+379'},
                    {'isoCode': 'hn', 'name': 'Honduras', 'countryCode': '+504'},
                    {'isoCode': 'hk', 'name': 'Hong Kong', 'countryCode': '+852'},
                    {'isoCode': 'hu', 'name': 'Hongarije', 'countryCode': '+36', 'EU': true},
                    {'isoCode': 'ie', 'name': 'Ierland', 'countryCode': '+353', 'EU': true},
                    {'isoCode': 'is', 'name': 'IJsland', 'countryCode': '+354'},
                    {'isoCode': 'in', 'name': 'India', 'countryCode': '+91'},
                    {'isoCode': 'id', 'name': 'Indonesië', 'countryCode': '+62'},
                    {'isoCode': 'iq', 'name': 'Irak', 'countryCode': '+964'},
                    {'isoCode': 'ir', 'name': 'Iran', 'countryCode': '+98'},
                    {'isoCode': 'il', 'name': 'Israël', 'countryCode': '+972'},
                    {'isoCode': 'it', 'name': 'Italië', 'countryCode': '+39', 'EU': true},
                    {'isoCode': 'ci', 'name': 'Ivoorkust', 'countryCode': '+225'},
                    {'isoCode': 'jm', 'name': 'Jamaica', 'countryCode': '+	1876'},
                    {'isoCode': 'jp', 'name': 'Japan', 'countryCode': '+81'},
                    {'isoCode': 'ye', 'name': 'Jemen', 'countryCode': '+967'},
                    {'isoCode': 'jo', 'name': 'Jordanië', 'countryCode': '+962'},
                    {'isoCode': 'cv', 'name': 'Kaapverdië', 'countryCode': '+238'},
                    {'isoCode': 'cm', 'name': 'Kameroen', 'countryCode': '+237'},
                    {'isoCode': 'kz', 'name': 'Kazachstan', 'countryCode': '+7'},
                    {'isoCode': 'ke', 'name': 'Kenia', 'countryCode': '+254'},
                    {'isoCode': 'kb', 'name': 'Kingdom of Bahrain', 'countryCode': '+973'},
                    {'isoCode': 'kg', 'name': 'Kirgizië', 'countryCode': '+996'},
                    {'isoCode': 'ki', 'name': 'Kiribati', 'countryCode': '+686'},
                    {'isoCode': 'cg', 'name': 'Kongo', 'countryCode': '+242'},
                    {'isoCode': 'hr', 'name': 'Kroatië', 'countryCode': '+385', 'EU': true},
                    {'isoCode': 'kw', 'name': 'Kuwait', 'countryCode': '+965'},
                    {'isoCode': 'la', 'name': 'Laos', 'countryCode': '+856'},
                    {'isoCode': 'lv', 'name': 'Letland', 'countryCode': '+371', 'EU': true},
                    {'isoCode': 'lb', 'name': 'Libanon', 'countryCode': '+961'},
                    {'isoCode': 'lr', 'name': 'Liberia', 'countryCode': '+231'},
                    {'isoCode': 'ly', 'name': 'Libië', 'countryCode': '+218'},
                    {'isoCode': 'li', 'name': 'Liechtenstein', 'countryCode': '+423'},
                    {'isoCode': 'lt', 'name': 'Litouwen', 'countryCode': '+370', 'EU': true},
                    {'isoCode': 'lu', 'name': 'Luxemburg', 'countryCode': '+352', 'EU': true},
                    {'isoCode': 'mo', 'name': 'Macau', 'countryCode': '+853'},
                    {'isoCode': 'mk', 'name': 'Macedonië', 'countryCode': '+389'},
                    {'isoCode': 'mg', 'name': 'Madagaskar', 'countryCode': '+261'},
                    {'isoCode': 'mw', 'name': 'Malawi', 'countryCode': '+265'},
                    {'isoCode': 'mv', 'name': 'Maldiven', 'countryCode': '+960'},
                    {'isoCode': 'my', 'name': 'Maleisië', 'countryCode': '+60'},
                    {'isoCode': 'ml', 'name': 'Mali', 'countryCode': '+223'},
                    {'isoCode': 'mt', 'name': 'Malta', 'countryCode': '+356', 'EU': true},
                    {'isoCode': 'ma', 'name': 'Marokko', 'countryCode': '+212'},
                    {'isoCode': 'mq', 'name': 'Martinique', 'countryCode': '+596'},
                    {'isoCode': 'mr', 'name': 'Mauritanië', 'countryCode': '+222'},
                    {'isoCode': 'mu', 'name': 'Mauritius', 'countryCode': '+230'},
                    {'isoCode': 'yt', 'name': 'Mayotte', 'countryCode': '+262'},
                    {'isoCode': 'mx', 'name': 'Mexico', 'countryCode': '+52'},
                    {'isoCode': 'md', 'name': 'Moldavië', 'countryCode': '+373'},
                    {'isoCode': 'mc', 'name': 'Monaco', 'countryCode': '+377'},
                    {'isoCode': 'mn', 'name': 'Mongolië', 'countryCode': '+976'},
                    {'isoCode': 'ms', 'name': 'Montserrat', 'countryCode': '+1664'},
                    {'isoCode': 'mz', 'name': 'Mozambique', 'countryCode': '+258'},
                    {'isoCode': 'mm', 'name': 'Myanmar', 'countryCode': '+95'},
                    {'isoCode': 'na', 'name': 'Namibië', 'countryCode': '+264'},
                    {'isoCode': 'nr', 'name': 'Nauru', 'countryCode': '+674'},
                    {'isoCode': 'nl', 'name': 'Nederland', 'countryCode': '+31', 'EU': true},
                    {'isoCode': 'an', 'name': 'Nederlandse Antillen', 'countryCode': '+599'},
                    {'isoCode': 'np', 'name': 'Nepal', 'countryCode': '+977'},
                    {'isoCode': 'nc', 'name': 'New Caledonia', 'countryCode': '+687'},
                    {'isoCode': 'ni', 'name': 'Nicaragua', 'countryCode': '+505'},
                    {'isoCode': 'nz', 'name': 'Nieuw-Zeeland', 'countryCode': '+64'},
                    {'isoCode': 'ne', 'name': 'Niger', 'countryCode': '+227'},
                    {'isoCode': 'ng', 'name': 'Nigeria', 'countryCode': '+234'},
                    {'isoCode': 'nu', 'name': 'Niue', 'countryCode': '+683'},
                    {'isoCode': 'kp', 'name': 'Noord-Korea', 'countryCode': '+850'},
                    {'isoCode': 'no', 'name': 'Noorwegen', 'countryCode': '+47'},
                    {'isoCode': 'nf', 'name': 'Norfolk Island', 'countryCode': '+672'},
                    {'isoCode': 'ug', 'name': 'Oeganda', 'countryCode': '+256'},
                    {'isoCode': 'ua', 'name': 'Oekraïne', 'countryCode': '+380'},
                    {'isoCode': 'uz', 'name': 'Oezbekistan', 'countryCode': '+998'},
                    {'isoCode': 'om', 'name': 'Oman', 'countryCode': '+968'},
                    {'isoCode': 'at', 'name': 'Oostenrijk', 'countryCode': '+43', 'EU': true},
                    {'isoCode': 'pk', 'name': 'Pakistan', 'countryCode': '+92'},
                    {'isoCode': 'ps', 'name': 'Palestina', 'countryCode': '+970'},
                    {'isoCode': 'pa', 'name': 'Panama', 'countryCode': '+507'},
                    {'isoCode': 'pg', 'name': 'Papoea-Nieuw-Guinea', 'countryCode': '+675'},
                    {'isoCode': 'py', 'name': 'Paraguay', 'countryCode': '+595'},
                    {'isoCode': 'pe', 'name': 'Peru', 'countryCode': '+51'},
                    {'isoCode': 'pn', 'name': 'Pitcairn Islands', 'countryCode': '+64'},
                    {'isoCode': 'pl', 'name': 'Polen', 'countryCode': '+48', 'EU': true},
                    {'isoCode': 'pt', 'name': 'Portugal', 'countryCode': '+351', 'EU': true},
                    {'isoCode': 'qa', 'name': 'Qatar', 'countryCode': '+974'},
                    {'isoCode': 'ss', 'name': 'Republiek zuid Soedan', 'countryCode': '+211'},
                    {'isoCode': 'ro', 'name': 'Roemenië', 'countryCode': '+40', 'EU': true},
                    {'isoCode': 'ru', 'name': 'Rusland', 'countryCode': '+7'},
                    {'isoCode': 'rw', 'name': 'Rwanda', 'countryCode': '+250'},
                    {'isoCode': 're', 'name': 'Réunion', 'countryCode': '+262'},
                    {'isoCode': 'kn', 'name': 'Saint Kitts en Nevis', 'countryCode': '+1869'},
                    {'isoCode': 'pm', 'name': 'Saint Pierre and Miquelon', 'countryCode': '+508'},
                    {'isoCode': 'vc', 'name': 'Saint Vincent en de Grenadines', 'countryCode': '+1784'},
                    {'isoCode': 'sb', 'name': 'Salomonseilanden', 'countryCode': '+677'},
                    {'isoCode': 'ws', 'name': 'Samoa', 'countryCode': '+685'},
                    {'isoCode': 'sm', 'name': 'San Marino', 'countryCode': '+378'},
                    {'isoCode': 'st', 'name': 'Sao Tomé en Principe', 'countryCode': '+239'},
                    {'isoCode': 'sa', 'name': 'Saoedi-Arabië', 'countryCode': '+966'},
                    {'isoCode': 'rs', 'name': 'Servië', 'countryCode': '+381'},
                    {'isoCode': 'sn', 'name': 'Senegal', 'countryCode': '+221'},
                    {'isoCode': 'sc', 'name': 'Seychellen', 'countryCode': '+248'},
                    {'isoCode': 'sl', 'name': 'Sierra Leone', 'countryCode': '+232'},
                    {'isoCode': 'sg', 'name': 'Singapore', 'countryCode': '+65'},
                    {'isoCode': 'sh', 'name': 'Sint-Helena', 'countryCode': '+290'},
                    {'isoCode': 'si', 'name': 'Slovenië', 'countryCode': '+386', 'EU': true},
                    {'isoCode': 'sk', 'name': 'Slowakije', 'countryCode': '+421', 'EU': true},
                    {'isoCode': 'sd', 'name': 'Soedan', 'countryCode': '+249'},
                    {'isoCode': 'so', 'name': 'Somalië', 'countryCode': '+252'},
                    {'isoCode': 'es', 'name': 'Spanje', 'countryCode': '+34', 'EU': true},
                    {'isoCode': 'lk', 'name': 'Sri Lanka', 'countryCode': '+94'},
                    {'isoCode': 'lc', 'name': 'St. Lucia', 'countryCode': '+1758'},
                    {'isoCode': 'sr', 'name': 'Suriname', 'countryCode': '+597'},
                    {'isoCode': 'sj', 'name': 'Svalbard and Jan Mayen', 'countryCode': '+47'},
                    {'isoCode': 'sz', 'name': 'Swaziland', 'countryCode': '+268'},
                    {'isoCode': 'sy', 'name': 'Syrië', 'countryCode': '+963'},
                    {'isoCode': 'tj', 'name': 'Tadzjikistan', 'countryCode': '+992'},
                    {'isoCode': 'tw', 'name': 'Taiwan', 'countryCode': '+886'},
                    {'isoCode': 'tz', 'name': 'Tanzania', 'countryCode': '+255'},
                    {'isoCode': 'th', 'name': 'Thailand', 'countryCode': '+66'},
                    {'isoCode': 'tg', 'name': 'Togo', 'countryCode': '+228'},
                    {'isoCode': 'tk', 'name': 'Tokelau-eilanden', 'countryCode': '+690'},
                    {'isoCode': 'to', 'name': 'Tonga', 'countryCode': '+676'},
                    {'isoCode': 'tt', 'name': 'Trinidad en Tobago', 'countryCode': '+1868'},
                    {'isoCode': 'cf', 'name': 'Centraal-Afrikaanse Republiek', 'countryCode': '+236'},
                    {'isoCode': 'td', 'name': 'Tsjaad', 'countryCode': '+235'},
                    {'isoCode': 'cz', 'name': 'Tsjechië', 'countryCode': '+420', 'EU': true},
                    {'isoCode': 'tn', 'name': 'Tunesië', 'countryCode': '+216'},
                    {'isoCode': 'tr', 'name': 'Turkije', 'countryCode': '+90'},
                    {'isoCode': 'tm', 'name': 'Turkmenistan', 'countryCode': '+993'},
                    {'isoCode': 'tc', 'name': 'Turks- en Caicoseilanden', 'countryCode': '+1649'},
                    {'isoCode': 'tv', 'name': 'Tuvalu', 'countryCode': '+688'},
                    {'isoCode': 'um', 'name': 'U. S. Minor Outlying Islands', 'countryCode': '+1340'},
                    {'isoCode': 'uy', 'name': 'Uruguay', 'countryCode': '+598'},
                    {'isoCode': 'vu', 'name': 'Vanuatu', 'countryCode': '+678'},
                    {'isoCode': 've', 'name': 'Venezuela', 'countryCode': '+58'},
                    {
                        'isoCode': 'gb',
                        'name': 'Verenigd Koninkrijk van Groot-Brittanië en Noord-Ierland',
                        'countryCode': '+44',
                        'EU': true
                    },
                    {'isoCode': 'ae', 'name': 'Verenigde Arabische Emiraten', 'countryCode': '+971'},
                    {'isoCode': 'us', 'name': 'Verenigde Staten van Amerika', 'countryCode': '+1'},
                    {'isoCode': 'vn', 'name': 'Vietnam', 'countryCode': '+84'},
                    {'isoCode': 'wf', 'name': 'Wallis en Futuna', 'countryCode': '+681'},
                    {'isoCode': 'eh', 'name': 'Westelijke Sahara', 'countryCode': '+212'},
                    {'isoCode': 'bb', 'name': 'Barbados', 'countryCode': '+1246'},
                    {'isoCode': 'by', 'name': 'Wit-Rusland', 'countryCode': '+375'},
                    {'isoCode': 'zm', 'name': 'Zambia', 'countryCode': '+260'},
                    {'isoCode': 'zw', 'name': 'Zimbabwe', 'countryCode': '+263'},
                    {'isoCode': 'za', 'name': 'Zuid-Afrika', 'countryCode': '+27'},
                    {'isoCode': 'gs', 'name': 'Zuid-Georgië en de Zuidelijke Sandwicheilanden', 'countryCode': '+500'},
                    {'isoCode': 'kr', 'name': 'Zuid-Korea', 'countryCode': '+82'},
                    {'isoCode': 'se', 'name': 'Zweden', 'countryCode': '+46', 'EU': true},
                    {'isoCode': 'ch', 'name': 'Zwitserland', 'countryCode': '+41'}
                ];
            },
            getEuCountries: function () {
                return $filter('filter')(this.getCountries(), {'EU': true});
            }
        };
    }

    module.exports = CountriesService;
});